﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class Port : UserControl
    {
        public Port()
        {
            InitializeComponent();
        }

        private int X0, Y0;
        private bool press = false;

        private void Port_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            press = true;
        }

        public delegate void PortHandler(Port p, int deltax, int deltay);
        public event PortHandler PortMove;

        private void Port_MouseMove(object sender, MouseEventArgs e)
        {
            if (press)
            {
                if (e.Button == MouseButtons.Left)
                {
                    Left += e.X - X0;
                    Top += e.Y - Y0;
                    if (PortMove != null)
                        PortMove (this, e.X - X0, e.Y - Y0);
                }
                else if (e.Button == MouseButtons.Right)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
                else if (e.Button == MouseButtons.Middle)
                {
                    colorDialog1.Color = BackColor;
                    if (colorDialog1.ShowDialog() == DialogResult.OK)
                        BackColor = colorDialog1.Color;
                }
            }
        }

        private void Port_MouseUp(object sender, MouseEventArgs e)
        {
            press = false;
        }

    }
}
